<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="G_WIN_OUT_TRANS_TEST.html"><font color="#008000">G_WIN_OUT_TRANS_TEST</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> ****** WARNING : JUST TEST ***********</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">author</font></strong>  := <font color="#BC8F8F">"Sonntag Benoit (bsonntag@loria.fr)"</font>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Group elements for GUI."</font>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_window</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="AREA_MASK.html"><font color="#008000">AREA_MASK</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_g_expr</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">title_len</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">title</font></strong>:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">stat</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_open</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">open_by</font></strong> src:<a href="G_GROUP.html"><font color="#008000">G_GROUP</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">close</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> t:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <strong><font color="#0000FF">with</font></strong> elt:<a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> t:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <strong><font color="#0000FF">with</font></strong> elt:<a href="G_EXPR.html"><font color="#008000">G_EXPR</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Size.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
   
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Update position.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_position</font></strong> rac:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Display.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw_slave</font></strong> bmp:<a href="ABSTRACT_BITMAP.html"><font color="#008000">ABSTRACT_BITMAP</font></a> <strong><font color="#0000FF">from</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> ********** UPDATE ********</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_pixel_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> 
  <strong><font color="#0000FF">image</font></strong> line:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Event.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">receive</font></strong> msg:<a href="EVENT.html"><font color="#008000">EVENT</font></a> <-  
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_object</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="AREA.html"><font color="#008000">AREA</font></a> <-
  
</body>
</html>

